View Issue Details

IDProjectCategoryView StatusLast Update
0001625SUMoNew Featurepublic2012-07-21 18:40
ReporterFlubberAssigned ToKyle_Katarn 
PriorityurgentSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
PlatformwindowsOSAllOS VersionAll
Product Version3.2.1 
Target VersionFixed in Version3.3.0 
Summary0001625: Beta report
DescriptionIt cold be nice if you cold make a:

right click -> Report as beta -> chose version to report as beta -> the app " sumo " send you an email

that way 1 thing user less thingy is removed
Additional InformationHope you understand my enlish
TagsNo tags attached.

Activities

bytehead

2012-07-09 14:53

reporter   ~0000928

Last edited: 2012-07-09 14:59

View 4 revisions

Nice idea indeed!

The server should keep the list of manual beta marks in its DB and use this info for "Allow Beta versions" functionality (which isn't reliable atm). Of course, it should notify the server via internal protocol not through email ;)

The only serious problem I foresee is credibility -- if anyone abuses the feature others might not be able to see some updates anymore. So, this alpha/beta information must either be double checked via some manual review process from trusted party (KC Software? delegated SUMo community body? some applicable third-party?) or be relied upon applied statistical methods like SUMo already does for automated new versions discovery. In the latter case there must also be a way to manually override the collected automated judgement on the server side, so there would be no need for end users to upgrade SUMo package every time misinformation creeps in.

P.S. also, a visible alpha/beta column should be added to the UI. And do we need to make a distinction between dev / alpha / beta, too?

Flubber

2012-07-09 15:26

reporter   ~0000930

is`nt alpha not just early beta versions?

You can make a simple login - this forum login ..

that will put this beta report functions

Kyle_Katarn

2012-07-09 23:26

administrator   ~0000932

Concerning "community contribution" to beta tagging on DB side : this is planned and under devlopment.

Concerning the "Right click" stuff : Right !

Flubber

2012-07-10 08:11

reporter   ~0000934

yes

Kyle_Katarn

2012-07-10 22:38

administrator   ~0000937

To be added in next release

bytehead

2012-07-11 14:31

reporter   ~0000939

Kyle, by "next release" do you mean 4.x or 3.2.x?

Flubber

2012-07-11 15:36

reporter   ~0000940

i think this will be a major thing so my guess 4.x

Kyle_Katarn

2012-07-14 14:59

administrator   ~0000954

3.3.

Issue History

Date Modified Username Field Change
2012-07-08 20:38 Flubber New Issue
2012-07-09 14:53 bytehead Note Added: 0000928
2012-07-09 14:54 bytehead Note Edited: 0000928 View Revisions
2012-07-09 14:55 bytehead Note Edited: 0000928 View Revisions
2012-07-09 14:59 bytehead Note Edited: 0000928 View Revisions
2012-07-09 15:26 Flubber Note Added: 0000930
2012-07-09 23:26 Kyle_Katarn Note Added: 0000932
2012-07-09 23:26 Kyle_Katarn Assigned To => Kyle_Katarn
2012-07-09 23:26 Kyle_Katarn Status new => acknowledged
2012-07-10 08:11 Flubber Note Added: 0000934
2012-07-10 22:38 Kyle_Katarn Note Added: 0000937
2012-07-10 22:38 Kyle_Katarn Status acknowledged => assigned
2012-07-11 14:31 bytehead Note Added: 0000939
2012-07-11 15:36 Flubber Note Added: 0000940
2012-07-14 14:59 Kyle_Katarn Note Added: 0000954
2012-07-14 15:00 Kyle_Katarn Status assigned => resolved
2012-07-14 15:00 Kyle_Katarn Fixed in Version => 3.3.0
2012-07-14 15:00 Kyle_Katarn Resolution open => fixed